Subject: [bug#76690] [PATCH 2/4] gnu: emacs-minimal: Enable native compilations

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 03 Mar 2025 06:31:27 +0100

Am Sonntag, dem 02.03.2025 um 16:51 -0500 schrieb Morgan Smith:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Sonntag, dem 02.03.2025 um 16:04 -0500 schrieb Morgan Smith:
> > > * gnu/packages/emacs.scm(emacs-no-x): Move native compilation
> > > settings from here to ...
> > > (emacs-minimal): ... here.
> > > 
> > > Change-Id: Ib549f0e7435cab0c891bb8d6cec9b1af041ab7c4
> > > ---
> > Note: enabling native compilation for emacs-minimal will likely not
> > do what you think it does.  Unless you use emacs-minimal itself as
> > your emacs (rather than e.g. emacs-no-x), you will not see any
> > benefit from this patch.
> 
> emacs-minimal is the default-emacs in the emacs-build-system.
> Currently, we disable native-compilation of loaded elisp because we
> want to use the ahead-of-time native compilation that occurs when
> building a package.  However, if we don't build our packages with an
> emacs that supports native compilation, then we are effectively
> disabling the native compliation feature for all packages.
Yeah, as I thought, you're overestimating the benefits of this patch. 
Natively compiled Emacs packages are incompatible across variants, so
your emacs-minimal AOT'd package won't work with emacs, emacs-pgtk or
emacs-next.

Cheers